Page MenuHomePhabricator

Formalise and Announce REL1_29 EOL
Closed, ResolvedPublic

Description

So, according to mw.org, REL1_29 is due to become EOL this month. No specific date, or trigger, just June 2018. So we don't know if it's the start, the end, or when we released 1.31

As such, we should formalise a date to do this, send emails to wikitech-l, mediawiki-l and possibly mediawiki-announce for blanket coverage, and then make sure the mediawiki.org is updated as such.

Then we can start cleaning up CI jobs and other stuff we don't need to run anymore, and it also means I stop bothering Antoine and Zeljko with filing tasks like T197608: Selenium tests broken on REL1_29 :)

There is also the question whether we should (answer is probably) do a 1.29.3 release for maintenance reasons - https://github.com/wikimedia/mediawiki/compare/1.29.2...REL1_29 (37 commits), and possibly any pending security patches

Event Timeline

Reedy created this task.Jun 19 2018, 10:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 19 2018, 10:47 AM
Kghbln added a subscriber: Kghbln.EditedJun 26 2018, 1:12 PM

There is also the question whether we should (answer is probably) do a 1.29.3 release for maintenance reasons - https://github.com/wikimedia/mediawiki/compare/1.29.2...REL1_29 (37 commits), and possibly any pending security patches

I guess so since effort was put into them being back-ported. Moreover I think a last maintenance release together with a farewell announcement sounds like a good idea.

Vvjjkkii renamed this task from Formalise and Announce REL1_29 EOL to ioaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from ioaaaaaaaa to Formalise and Announce REL1_29 EOL.Jul 2 2018, 1:32 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

+1 to what @Kghbln said. One last maintenance release and then declare it EOL?

Reedy added a comment.Jul 11 2018, 7:34 PM

+1 to what @Kghbln said. One last maintenance release and then declare it EOL?

That's vaguely what I've been working towards. Backporting security/hardening patches in gerrit to REL1_29 when doing the rest of them. Amount of extra work is minimal

Kghbln added a comment.Aug 1 2018, 1:12 PM

I am under the impression that the release management team or what it was called is no longer active. Who is doing releases nowadays if at all? Does somebody happen to know?

@Kghbln: Release-Engineering-Team, as tagged in this very task.

Kghbln triaged this task as Unbreak Now! priority.Aug 4 2018, 11:43 AM

Perhaps changing the priority makes this get attention. Apparently I have no idea about the inner workings of the group.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptAug 4 2018, 11:43 AM
Aklapper lowered the priority of this task from Unbreak Now! to Needs Triage.Aug 4 2018, 12:05 PM

@Kghbln: This is not UBN per definition.
Do not set the Priority field only in order to get attention. Thanks.

I am under the impression that the release management team or what it was called is no longer active. Who is doing releases nowadays if at all? Does somebody happen to know? The Release-Engineering-Team was pinged but did not respond yet. Is there somebody else involved?

Who is doing releases nowadays if at all?

https://www.mediawiki.org/wiki/Wikimedia_Release_Engineering_Team

Is there somebody else involved?

No.

Kghbln added a comment.EditedAug 11 2018, 10:44 AM

Thanks for the info. Since the team does not convene to comment here even though they were pinged by you I will use the general mailing list to ask about the status of this task. Perhaps somebody is on the list who is in contact with them.

thcipriani triaged this task as Medium priority.Aug 13 2018, 4:47 PM
thcipriani added subscribers: demon, thcipriani.

This is something Release-Engineering-Team generally does, but this is another in the long list of tasks @demon used to quietly take care of. We'll get to this but will need some help from folks familiar with this process (@Reedy :))

Reedy added a comment.Aug 13 2018, 5:47 PM

This is something Release-Engineering-Team generally does, but this is another in the long list of tasks @demon used to quietly take care of. We'll get to this but will need some help from folks familiar with this process (@Reedy :))

Yeah... It's been on my TODO list, but I was hoping to do it at the same time as a security release... That hasn't happened yet, so this hasn't either. And unfortunately other tasks have taken a higher priority.

@Jdforrester-WMF pinged me about this on IRC... My response was that I'm limited with keyboard use atm, so struggling to do too much that involves a keyboard. Going to be the case for the rest of this week till stitches come out, then see how my mobility is then.

Question is whether to wait for the security release. Or just do this as a point release, and have the fixes released for REL1_29 out of sync with those on other branches... Or just do a maintenance release for them all in one go? Or just release the security fixes that are ready, and bump others still to be written/reviewed/reworked to the next release?

I think everyone is in agreement that there will be one more 1.29 release, which will contain some security fixes and a pile of bug fixes (42!). Given there's only a few days left in August, I'm not confident that the release will be done by then (still need to request CVEs, and write some more documentation/release notes), so any objections to saying EOL is September 2018? I'll update the wiki at the end of the week if no one objects.

Legoktm closed this task as Resolved.Sep 4 2018, 7:23 AM
Legoktm claimed this task.

Resolved: there will be one more 1.29 security+maintenance release that will happen in/by September 2018.

I updated the wiki, please update any other pages if I missed them :)